On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/customer/partnerThe ID of the partner for which to show onboarded seller's credentials, which is the partner's PayPal account number. To find this ID, log in to the partner's PayPal business account. Navigate to Profile, click Profile and settings, and click My business info. The account number appears in the Merchant account ID section.
The ID of the seller for which to show status information.
Filters the fields in the response to this comma-separated list of fields.
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/customer/partners/string/merchant-integrations/string"{
"tracking_id": "string",
"merchant_id": "string",
"given_name": "string",
"surname": "string",
"products": [
{
"name": "EXPRESS_CHECKOUT",
"vetting_status": "APPROVED",
"status": "ACTIVE",
"capabilities": [
"APPLE_PAY"
]
}
],
"payments_receivable": true,
"legal_name": "string",
"primary_email_confirmed": true,
"primary_email": "string",
"date_created": "string",
"granted_permissions": [
"EXPRESS_CHECKOUT"
],
"api_credentials": {
"signature": {
"api_user_name": "string",
"api_password": "string",
"signature": "string"
},
"certificate": {
"api_user_name": "string",
"api_password": "string",
"fingerprint": "string",
"download_link": "string"
}
},
"oauth_integrations": [
{
"integration_type": "FIRST_PARTY_INTEGRATED",
"integration_method": "PAYPAL",
"status": "A",
"oauth_third_party": [
{
"partner_client_id": "string",
"merchant_client_id": "string",
"scopes": [
"string"
],
"access_token": "string",
"refresh_token": "string"
}
]
}
],
"limitations": [
{
"name": "string",
"restrictions": [
"string"
]
}
],
"capabilities": [
{
"name": "APPLE_PAY",
"status": "ACTIVE",
"limits": [
{
"type": "GENERAL"
}
]
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}